summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2011-10-21 10:17:11 +0200
committerTails developers <amnesia@boum.org>2011-10-21 10:17:11 +0200
commitf3c8602c5c77b5c96bffe0882d003115b936f60f (patch)
treecaaa693092863737d94a512e91216c2261bd7296
parentbd18b4add400d7aa5df406732cfa2245abb83d23 (diff)
Use absolute path to eject for more robust memory wipe on boot medium removal.
When this happens (i.e. the boot medium was removed), we don't want the shell to need to look everywhere in the $PATH for a place where the eject command can be found: directories in the $PATH are probably not listable anymore.
-rwxr-xr-xconfig/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper4
1 files changed, 2 insertions, 2 deletions
diff --git a/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper b/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper
index 84ca1f9..5600c83 100755
--- a/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper
+++ b/config/chroot_local-includes/usr/local/sbin/udev-watchdog-wrapper
@@ -47,8 +47,8 @@ do_stop() {
# Really make sure that the CD is ejected
# FIXME: this might not be necessary with future kernel/udev
if [ "${DEV_TYPE}" = "cd" ]; then
- eject -i off "${BOOT_DEVICE}" 2>&1 >/dev/null || true
- eject -m "${BOOT_DEVICE}" 2>&1 >/dev/null || true
+ /usr/bin/eject -i off "${BOOT_DEVICE}" 2>&1 >/dev/null || true
+ /usr/bin/eject -m "${BOOT_DEVICE}" 2>&1 >/dev/null || true
fi
/usr/bin/pkill gdm3 2>&1 >/dev/null || true